#
# spec file for package joyce
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           joyce
Version:        2.2.10
Release:        1.36
Summary:        Amstrad PCW (Joyce) and PCW16 (Anne) emulators
License:        GPL-2.0+
Group:          System/Emulators/Other
Url:            http://www.seasip.info/Unix/Joyce
Source:         http://www.seasip.info/Unix/Joyce/%{name}-%{version}.tar.gz
Source1:        joyce.desktop
Source2:        anne.desktop
Source3:        anne.png
Patch0:         joyce-nodocs.patch
BuildRequires:  SDL-devel
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gcc-c++
BuildRequires:  lib765-devel >= 0.4.2
BuildRequires:  libdsk-devel >= 1.2.2
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Amstrad PCW (Joyce, "xjoyce") and PCW16 (Anne, "xanne") emulators.

PCW software (including boot discs) can be found here:

ftp://ftp.nvg.unit.no/pub/cpc/pcw/

%package        devel
Summary:        Development files for joyce
Group:          Development/Libraries/C and C++
Requires:       joyce = %{version}-%{release}

%description    devel
The joyce-devel package contains libraries and header files for
developing applications that use joyce.

%prep
%setup -q -n joyce-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --with-system-libdsk \
           --with-system-lib765
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.*a" -delete -print
install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 pcw.png %{buildroot}%{_datadir}/pixmaps/joyce.png
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/anne.png
%suse_update_desktop_file -i joyce
%suse_update_desktop_file -i anne

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog
%doc COPYING
%doc TODO
%doc Docs/*.pdf
%doc Docs/*.ps
%{_bindir}/xanne
%{_bindir}/xjoyce
%{_datadir}/Joyce
%{_datadir}/applications/anne.desktop
%{_datadir}/applications/joyce.desktop
%{_datadir}/pixmaps/anne.png
%{_datadir}/pixmaps/joyce.png
%{_libdir}/liblink.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/cpmredir.h
%{_includedir}/liblink.h
%{_libdir}/liblink.so

%changelog
* Sat Dec  3 2016 aloisio@gmx.com
- Update to version 2.2.10
  * Fixes gcc6 build problem
- Added joyce-nodocs.patch
* Thu Dec  1 2016 aloisio@gmx.com
- Update to version 2.2.9
  * Implemented support for the Electric Studio light pen.
  2.2.8:
  * Fixed buffer overflow in PcwSystem::selectTerminal() (Ron Yorston)
- Dropped joyce-rpmlint.patch (no longer necessary)
* Sun Nov 23 2014 serbalgi@gmail.com
- Update to version 2.2.7.
  * Added validity / buffer overflow checks to parameters passed to
    JDOS from Z80 code.
  * Added optional confirmation of host file access from JOYCE
    [Both with thanks to Alan Cox].
- Drop joyce-2.2.0-open.patch: Upstream fixed.
- Update joyce-rpmlint.patch to current source.
- Add joyce.desktop and anne.desktop: menu entries.
- Add anne.png: icon for PCW16 emulator.
- Modernize package license.
- Several spec fixes.
